Page MenuHomePhabricator

Articles load improperly on Kindle
Closed, ResolvedPublic

Description

To quote the user:

Recently, I've noticed that articles no longer load properly on the older "paperwhite" Kindle that I often use. Just as an article completes loading the page disappears and only the search box with a left-arrow icon remain on screen. If the arrow is clicked the article will then reappear. This happens on every article every time. Have there been some recent global change to the underlying article markup or style sheet?

(I wonder if this is one of the old Kindle's using Netfront instead of WebKit ?)


Version: unspecified
Severity: normal

Details

Reference
bz47499

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:26 AM
bzimport set Reference to bz47499.
bzimport added a subscriber: Unknown Object (MLST).
TheDJ created this task.Apr 22 2013, 8:03 AM

"paperwhite" Kindle is a relatively recent model, should be WebKit-based.

I can reproduce the problem on my Kindle 4 (software version 4.1.1).

I believe the problem is that when the cursor goes over the search box, focus is set into it -- and we handle that by showing the search UI.

If the cursor starts at the URL bar, then going down one step puts it over the search bar and triggers this.

Note that the search interface was indeed recently rewritten; I notice it dropped some throttling of focus/blur events meant for a case with "some symbian devices", this may be affecting the behavior on the Kindle.

Very possible.. glad we have a physical device to test it on. Brion would you be able to lend it to Juliusz to check out? Making content unavailable seems to be a high priority bug to me..

jgonera wrote:

As I understand it it's not unavailable. The user just has to tap the arrow to close the search overlay and then it's there.

Yes but to the user it appears that the content is hidden. An overlay opening without them doing anything is pretty jarring and pretty much the same as making content unavailable.

brion added a comment.Apr 24 2013, 5:46 PM

Kindle 3 and Kindle 4 are in my tablet/phone drawer -- poke Rob, he should be in this morning and should have the key to open it. Otherwise I'll get em out tomorrow. :)

Related URL: https://gerrit.wikimedia.org/r/60691 (Gerrit Change I99347dd90a20e796551a1ce6aed47278fcb40c0e)

Marking assigned since Juliusz has tackled it; possibly even fixed.

The code has been merged - Juliusz can you confirm this is now resolved?

jgonera wrote:

It should be if it's merged. I wasn't able to reproduce this after applying the fix, but I can't be 100% sure because even before the fix I wasn't able to reproduce it every single time.